thesmahesh

Member
Sep 26, 2015
10
0
1
India
cPanel Access Level
Website Owner
Dear All.
CENTOS 7.2 x86_64 WHM 11.52.2 (build 1)
I am presently using ea-php56
Pls let me know how to install php-imap
epel repo already installed and enabled.
Below specified fails
Code:
yum install ea-php56-imap

yum install php-imap
Thanks and Regards,
 
Last edited by a moderator:

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,884
2,243
463
Hello :)

Thank you for taking the time to try out EasyApache 4 and report an issue. The "php-imap" package is only available in the EPEL repo for CentOS 7. Thus, it was not initially offered in EasyApache 4. Internal case EA-4029 is open to add support for php-imap in CentOS 7. There's currently no specific time frame available on it's inclusion. The following page may also interest you:

Current Status of EasyApache 4 - EasyApache 4 - cPanel Documentation

Note: Please keep in mind the EasyApache repository is separate from your OS repository or any additional third-party repository.

Thank you.
 

syslint

Well-Known Member
Verifed Vendor
Oct 9, 2006
268
7
168
India
cPanel Access Level
Root Administrator
Twitter
That probably won't work especially imap. You are going to use the OS provided php-imap along with the cpanel provided php via ea4 ? . Please refer the ea4 documentation to know how to add a proper package.
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,884
2,243
463
Any news on this?
Hello :)

There's no update to report on this case at this time. Keep in mind that while EasyApache 4 is fully functional, it's still a work in progress for these types of cases.

Thank you.
 

WhiteDog

Well-Known Member
Feb 19, 2008
142
6
68
Hello :)

There's no update to report on this case at this time. Keep in mind that while EasyApache 4 is fully functional, it's still a work in progress for these types of cases.

Thank you.
No problem and thanks for taking the time to reply.
 

WhiteDog

Well-Known Member
Feb 19, 2008
142
6
68
Hi,

We released PHP-IMAP for CentOS 7 today! You'll see these packages on the mirrors now. Thanks so much for your patience!
I can confirm that these packages are now available and the missing imap functonality in PHP is restored. For others facing the same issue: don't forgot to select the extension in EasyApache 4 and re-provision.

Thanks !
 

JacobPerkins

Well-Known Member
May 2, 2014
617
97
103
cPanel Access Level
DataCenter Provider
Twitter
Hi,

PHP-IMAP for PHP 7 is not there at this moment. We were working on both PHP-IMAP and PHP 7 at the same time, and IMAP was first out the door. Since we were still building PHP7, we weren't able to get IMAP built for PHP 7. We're reserving that for a second iteration, which hopefully will be in the next week or two.

Sorry for the confusion, and thanks for your patience!